unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, T_BiancoIcon, ExtCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    BGI1: TBiancoGetIcons;
    OD: TOpenDialog;
    Button1: TButton;
    TB: TTrackBar;
    Label1: TLabel;
    Label2: TLabel;
    Button2: TButton;
    SD: TSaveDialog;
    procedure Button1Click(Sender: TObject);
    procedure TBChange(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
    PROCEDURE SHOW_CURRENT;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
 IF OD.EXECUTE THEN
  TRY
   CANVAS.RECTANGLE(0,0,50,50);
   BGI1.FILENAME:=OD.FILENAME;
   TB.MAX:=BGI1.NUMBEROFICONS-1;
   TB.POSITION:=0;
   LABEL1.CAPTION:=INTTOSTR(BGI1.NUMBEROFICONS)+' Icon(s) found.';
   TB.VISIBLE:=TRUE;
   BUTTON2.VISIBLE:=TRUE;
   SHOW_CURRENT;
  EXCEPT
   LABEL1.CAPTION:='No icons in this file';
   TB.VISIBLE:=FALSE;
   BUTTON2.VISIBLE:=FALSE;
   LABEL2.CAPTION:='';
   TB.MAX:=0;
  END;

end;

PROCEDURE TFORM1.SHOW_CURRENT;
begin
 BGI1.ICONINDEX:=TB.POSITION;
 CANVAS.RECTANGLE(0,0,50,50);
 canvas.draw(10,10,BGI1.ICON);
 LABEL2.CAPTION:=INTTOSTR(TB.POSITION)+'st Icon.';
 SELF.ICON:=BGI1.ICON;
end;


procedure TForm1.TBChange(Sender: TObject);
begin
 SHOW_CURRENT;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
 IF SD.EXECUTE THEN
  BGI1.ICON.SAVETOFILE(SD.FILENAME);
end;

end.
